"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChromePath = void 0;
const os = __importStar(require("os"));
const which = __importStar(require("which"));
const currentPlatformType = os.type();
function getChromePath() {
    switch (currentPlatformType) {
        case 'Darwin':
            return '/Applications/Google Chrome.app/Contents/MacOS/Google Chrome';
        case 'Windows_NT':
            return 'C:/Program Files (x86)/Google/Chrome/Application/chrome.exe';
        case 'Linux':
            if (which.sync('google-chrome-stable')) {
                return 'google-chrome-stable';
            }
            return 'google-chrome';
        default:
            throw new Error('Error: you should supply the path to the Chrome App in the launch options');
    }
}
exports.getChromePath = getChromePath;
